.logo {
	width: 70px;
	height: 70px;
	margin-right: 10px;
}

.logo_container {
	display: flex;
	align-items: center;
}

.logo_container p {
	align-items: start;
	font-family: 'Exo 2', sans-serif;
}

.main_header header {
	display: flex;   /* Enable flex for these elements */

	
}



.navigation {
	display: flex;   /* Enable flex for these elements */
	position:absolute;
	right: 3%;
	font-family: 'Exo 2', sans-serif;
}

.main_header {
	align-items: center;
/* Or any other preferred width */
	margin: 0 auto;   /* Center the container horizontally */
	padding: 20px;   /* Add some padding for spacing */
  width: 100vw;
}

/* You might want to add some space between the logo and the navigation links */
.navigation nav a {
	margin: 0 3px;  /* Add some margin for spacing between links */
}

.content_container{
  align-items: center;
  padding-left: 10%;
  padding-right: 10%;
}

button {
	width: fit-content;
    position: relative;
    overflow: hidden;
    background: transparent;
    padding: 15px 15px;
    border-radius: 15px;
    border: none;
    font-size: 1rem;
    color: #e0ffff;
    font-weight: 500;
    cursor: pointer;
    z-index: 1;
  }
  button:active{
    transform: scale(0.95);
  }
  button::before{
    content: '';
    position: absolute;
    inset: -3px 50px;
    background: #42455a;
    transition: inset 350ms ease;
    z-index: -2;
  }
  button:hover::before{
    inset: -20px 0px;
    background: #00c2cb;
  }
  button::after{
    content: '';
    position: absolute;
    inset: 3px;
    border-radius: 10px;
    background: #22232e;
    z-index: -1;
  }

@import url("https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500;600;700;800;900&display=swap");

*,
*:after,
*:before {
	box-sizing: border-box;
}

body {
	font-family: "Inter", sans-serif;
	line-height: 1.5;
	min-height: 100vh;
	display: flex;
	align-items: center;
	justify-content: center;
	background-color: #f8f8f9;
}

.checkbox-group {
	display: none;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	width: 80%;
  padding: 100px;
	margin-left: auto;
	margin-right: auto;
	user-select: none;
	& > * {
		margin: .5rem 0.5rem;
	}
}



.checkbox-group-legend {
	font-size: 1.5rem;
	font-weight: 700;
	color: #9c9c9c;
	text-align: center;
	line-height: 1.125;
	margin-bottom: 1.25rem;
}

.checkbox-input {
	clip: rect(0 0 0 0);
	clip-path: inset(100%);
	height: 1px;
	overflow: hidden;
	position: absolute;
	white-space: nowrap;
	width: 1px;

	&:checked + .checkbox-tile {
		border-color: #2260ff;
		box-shadow: 0 5px 10px rgba(#000, 0.1);
		color: #2260ff;
		&:before {
			transform: scale(1);
			opacity: 1;
			background-color: #2260ff;
			border-color: #2260ff;
		}
		
		.checkbox-icon, .checkbox-label {
			color: #2260ff;
		}
	}
	
	&:focus + .checkbox-tile {
		border-color: #2260ff;
		box-shadow: 0 5px 10px rgba(#000, 0.1), 0 0 0 4px #b5c9fc;
		&:before {
			transform: scale(1);
			opacity: 1;
		}
	}
}

.checkbox-tile {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	width: 10rem;
	min-height: 10rem;
	border-radius: 0.3rem;
	border: 2px solid #172445;
	background-color: #0c121f;
	box-shadow: 0 5px 10px rgba(#000, 0.1);
	transition: 0.15s ease;
	cursor: pointer;
	position: relative;

	&:before {
		content: "";
		position: absolute;
		display: block;
		width: 1.25rem;
		height: 1.25rem;
		border: 2px solid #b5bfd9;
		background-color: #0c121f;
		border-radius: 50%;
		top: 0.25rem;
		left: 0.25rem;
		opacity: 0;
		transform: scale(0);
		transition: 0.25s ease;
		background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='192' height='192' fill='%23FFFFFF' viewBox='0 0 256 256'%3E%3Crect width='256' height='256' fill='none'%3E%3C/rect%3E%3Cpolyline points='216 72.005 104 184 48 128.005' fill='none' stroke='%23FFFFFF' stroke-linecap='round' stroke-linejoin='round' stroke-width='32'%3E%3C/polyline%3E%3C/svg%3E");
		background-size: 12px;
		background-repeat: no-repeat;
		background-position: 50% 50%;
	}

	&:hover {
		border-color: #2260ff;
		&:before {
			transform: scale(1);
			opacity: 1;
		}
	}
}

.checkbox-icon {
	transition: .375s ease;
	color: #494949;
	svg {
		width: 3rem;
		height: 3rem;
	}
}

.checkbox-label {
	color: #707070;
	transition: .375s ease;
	text-align: center;
}

.checkbox-icon i {
    font-size: 32px;  /* Adjust as needed */
}

#checkboxFieldset {
    display: none;
    padding: 50px
}

@import url("https://fonts.googleapis.com/css2?family=League+Spartan:wght@400;500;600;700;800;900&display=swap");

*,
*::after,
*::before {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html,

body {
  height: 100%;
  min-height: 100vh;
}

body {
  display: grid;
  place-items: center;
  font-family: "League Spartan", system-ui, sans-serif;
  font-size: 1.1rem;
  line-height: 1.2;
  background-color: #0c121f;
  color: #ddd;
}

ul {
  list-style: none;
}

.main {
  max-width: 75rem;
  padding: 3em 1.5em;
}

.main__heading {
  font-weight: 600;
  font-size: 2.25em;
  margin-bottom: 0.75em;
  text-align: center;
  color: #eceff1;
}

.cards {
  position: relative;
}

.cards__inner {
  display: flex;
  flex-wrap: wrap;
  gap: 2.5em;
}

.card {
  --flow-space: 0.5em;
  --hsl: var(--hue), var(--saturation), var(--lightness);
  flex: 1 1 14rem;
  padding: 1.5em 2em;
  display: grid;
  grid-template-rows: auto auto auto 1fr;
  align-items: start;
  gap: 1.25em;
  color: #eceff1;
  background-color: #172033;
  border: 1px solid #eceff133;
  border-radius: 15px;
}

.card:nth-child(1) {
  --hue: 165;
  --saturation: 82.26%;
  --lightness: 51.37%;
}

.card:nth-child(2) {
  --hue: 291.34;
  --saturation: 95.9%;
  --lightness: 61.76%;
}

.card:nth-child(3) {
  --hue: 338.69;
  --saturation: 100%;
  --lightness: 48.04%;
}



.card__bullets {
  line-height: 1.4;
}

.card__bullets li::before {
  display: inline-block;
  content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512' width='16' title='check' fill='%23dddddd'%3E%3Cpath d='M173.898 439.404l-166.4-166.4c-9.997-9.997-9.997-26.206 0-36.204l36.203-36.204c9.997-9.998 26.207-9.998 36.204 0L192 312.69 432.095 72.596c9.997-9.997 26.207-9.997 36.204 0l36.203 36.204c9.997 9.997 9.997 26.206 0 36.204l-294.4 294.401c-9.998 9.997-26.207 9.997-36.204-.001z' /%3E%3C/svg%3E");
  transform: translatey(0.25ch);
  margin-right: 1ch;
}

.card__heading {
  font-size: 1.05em;
  font-weight: 600;
}

.card__price {
  font-size: 1.75em;
  font-weight: 700;
}

.flow > * + * {
  margin-top: var(--flow-space, 1.25em);
}

.cta {
  display: block;
  align-self: end;
  margin: 1em 0 0.5em 0;
  text-align: center;
  text-decoration: none;
  color: #fff;
  background-color: #0d0d0d;
  padding: 0.7em;
  border-radius: 10px;
  font-size: 1rem;
  font-weight: 600;
}

.overlay {
  position: absolute;
  inset: 0;
  pointer-events: none;
  user-select: none;
  opacity: var(--opacity, 0);
  -webkit-mask: radial-gradient(
    25rem 25rem at var(--x) var(--y),
    #000 1%,
    transparent 50%
  );
  mask: radial-gradient(
    25rem 25rem at var(--x) var(--y),
    #000 1%,
    transparent 50%
  );
  transition: 400ms mask ease;
  will-change: mask;
}

.overlay .card {
  background-color: hsla(var(--hsl), 0.15);
  border-color: hsla(var(--hsl), 1);
  box-shadow: 0 0 0 1px inset hsl(var(--hsl));
}

.overlay .cta {
  display: block;
  grid-row: -1;
  width: 100%;
  background-color: hsl(var(--hsl));
  box-shadow: 0 0 0 1px hsl(var(--hsl));
}

:not(.overlay) > .card {
  transition: 400ms background ease;
  will-change: background;
}

:not(.overlay) > .card:hover {
  --lightness: 95%;
  background: hsla(var(--hsl), 0.1);
}

.links_container {
	height: 50vh;
}
.links_container body {
	margin: 0;
	padding: 0;
	background: #262626;
  }
  
  .links_container ul {
	margin-top: 150px;
	padding: 0;
	display: flex;
	position: absolute;
	left: 50%;
	transform: translate(-50%, -50%);
  }
  
  .links_container ul li {
	list-style: none;
	margin: 0 15px;
  }
  
  .links_container ul li a {
	position: relative; 
	display: block;
	width: 60px;
	height: 60px;
	text-align: center;
	line-height: 63px;
	background: #0c121f;
	border-radius: 50%;
	font-size: 30px;
	color: #666;
	transition: .5s;
  }
  
  .links_container ul li a::before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	border-radius: 50%;
	background: #0c121f;
	transition: .5s;
	transform: scale(.9);
	z-index: -1;
  }
  
  .links_container ul li a:hover::before {
	transform: scale(1.1);
	box-shadow: 0 0 15px #0096fa;
  }
  
  .links_container ul li a:hover {
	color: #0096fa;
	box-shadow: 0 0 5px #0096fa;
	text-shadow: 0 0 5px #0096fa;
  }